package com.ruoyi.warehouseBusiness.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.warehouseBusiness.domain.TWarehousebillsitemsElabel;

import java.util.List;

public interface ITWarehousebillsitemsElabelService {
    /**
     * 增一条
     */
    AjaxResult insert(List<TWarehousebillsitemsElabel> elabelList);
    /**
     * 删一条
     */
    int deleteById(Long id);
    /**
     * 根据父级的父级 id 获取数据
     */
    List<TWarehousebillsitemsElabel> selectByfPid(Long fPid);
    /**
     * 根据父级的父级 id 获取数据
     */
    List<TWarehousebillsitemsElabel> selectByStockId(Long stockId);
}
